BufferedOutputStream Class Reference

Abstract class for writing to character streams. More...

Inherits OutputStream.

## Public Member Functions

void | close (Pool &p)
void | flush (Pool &p)
void | write (ByteBuffer &buf, Pool &p)

## Protected Member Functions

| BufferedOutputStream (OutputStreamPtr &out, size_t size=4096)
| ~BufferedOutputStream ()
Protected Member Functions inherited from OutputStream
| OutputStream ()
virtual | ~OutputStream ()

## Additional Inherited Members

Static Public Member Functions inherited from Object
static const helpers::Class & | getStaticClass ()
static const log4cxx::helpers::ClassRegistration & | registerClass ()
Protected Attributes inherited from ObjectImpl
unsigned int volatile | ref

## Detailed Description

Abstract class for writing to character streams.

## Constructor & Destructor Documentation

BufferedOutputStream | ( | OutputStreamPtr & | out,
|  | size_t | size = `4096`
| ) |  |

protected

~BufferedOutputStream | ( |  | ) |

protected

## Member Function Documentation

void close | ( | Pool & | p | ) |

virtual

Implements OutputStream.

void flush | ( | Pool & | p | ) |

virtual

Implements OutputStream.

void write | ( | ByteBuffer & | buf,
|  | Pool & | p
| ) |  |

virtual

Implements OutputStream.

The documentation for this class was generated from the following file:

- bufferedoutputstream.h